sniff_tcp Struct Reference

The sniff_tcp struct contains the TCP header. We use the first two members to extract the src and dst port. Used to extract TCP transport layer information from a packet. More...

`#include <tcp_hdr.h>`

## Public Attributes

u_short | th_sport
u_short | th_dport
tcp_seq | th_seq
tcp_seq | th_ack
u_char | th_offx2
u_char | th_flags
u_short | th_win
u_short | th_sum
u_short | th_urp

## Detailed Description

The sniff_tcp struct contains the TCP header. We use the first two members to extract the src and dst port. Used to extract TCP transport layer information from a packet.

The documentation for this struct was generated from the following file:

- tcp_hdr.h